<template>
  <div class="automatic-payment">
    <div class="automatic-payment__wrapper">
      <div class="automatic-payment__row">
        <div class="automatic-payment__column">
          <label for="dateOfWriteOff" class="automatic-payment__label">Дата списания</label>
          <input id="dateOfWriteOff" class="automatic-payment__input"
                 v-mask="'##.##.####'"
                 v-model="dateOfWriteOff"
                 placeholder=""/>
        </div>
        <div class="automatic-payment__column">
          <label for="sumOfWriteOff" class="automatic-payment__label">Сумма списания</label>
          <input id="sumOfWriteOff" class="automatic-payment__input"
                 v-mask="''"
                 v-model="sumOfWriteOff"
                 placeholder=""/>
        </div>
        <div class="automatic-payment__column">
          <button class="automatic-payment__button button red">Сохранить</button>
        </div>
      </div>
      <div class="automatic-payment__row">
        <p class="automatic-payment__description">Укажите плановую дату списания с выбранной карты для автоматического
          погашения имеющихся у вас
          задолженностей.</p>
      </div>
      <div class="automatic-payment__remove" v-if="automaticPayment">
        <SVGIcon xlink="error-20" viewBox="0 0 20 20"/>
        <span class="">Удалить автоплатеж</span>
      </div>
    </div>
  </div>
</template>

<script>
  import SVGIcon from "../../components/SVGIcon/index";

  export default {
    name: "AutomaticPayment",
    components: {SVGIcon},
    props: ['automaticPayment'],
    data() {
      return {
        dateOfWriteOff: '',
        sumOfWriteOff: ''
      };
    },
    created() {
      this.dateOfWriteOff = this.automaticPayment.date;
      this.sumOfWriteOff = this.automaticPayment.sum;
    }
  }
</script>
